<apre> ... </apre> |

`<apre>` is defined in the Main RXML parser module. Adds or removes prestate options. Prestate options are simple true/false flags that are added to the URL of the page. Use <doc>`{if prestate=...}`</doc> to test for the presence of a prestate. `<apre>` works just like a <doc>`{a href=...}`</doc> container tag, but the `href` attribute can be omitted in which case the current page is used.

Attributes |
option, -option, href,

Attributes

`option`

  Add the prestate option.

`-option`

  Remove the prestate option.

`href`

  Make the generated link point to this URL. The URL must be local to this web site.

Example

source code

    <apre foo>Add the option</apre>

    <apre -foo>Remove the option</apre>

    The option is set.

    <else>
    The option is not set.
    </else>

    "=> >

result | <apre foo>Add the option</apre> <apre -foo>Remove the option</apre> The option is set. <else> The option is not set. </else>